<div [ngClass]="['accordion accordion-flush ' + customClass()]">
    <h2 class="accordion-header" [attr.id]="headingId">
        <button
            [ngClass]="[
                'accordion-button',
                'ps-5',
                'pt-5',
                'pb-5',
                'border-right',
                'border-' + documentStatus(),
                isDisabled() ? 'button-disabled' : '',
                isExpanded === 'show' ? '' : 'collapsed',
            ]"
            type="button"
            [attr.aria-expanded]="isExpanded === 'show' ? 'true' : 'false'"
            [attr.aria-controls]="collapseId"
        >
            {{ title() }}
            <span [ngClass]="['border-right', 'border-' + documentStatus()]"></span>
        </button>
    </h2>
    <div
        [attr.id]="collapseId"
        [ngClass]="['accordion-collapse collapse border-right', 'border-' + documentStatus(), isExpanded]"
        [attr.aria-labelledby]="headingId"
    >
        <div class="accordion-body ps-3 ps-sm-5 pe-2">
            <ng-content></ng-content>
        </div>
        <div class="row align-items-center text-end pb-2 pe-2">
            <div class="col-10 col-lg-11"></div>
            <div class="col-2 col-lg-1 justify-content-center">
                <ead-info-popover [popoverTitle]="popoverTitle()" [popoverContent]="popoverContent()"></ead-info-popover>
            </div>
        </div>
    </div>
</div>
